SDL_PrivateAudioData Struct Reference

`#include <SDL_alsa_audio.h>`

Collaboration diagram for SDL_PrivateAudioData:
[legend]

## Data Fields

snd_pcm_t * | pcm_handle
Uint8 * | mixbuf
int | mixlen
void(* | swizzle_func )(_THIS, void *buffer, Uint32 bufferlen)
int | resume
arts_stream_t | stream
pid_t | parent
float | frame_ticks
float | next_frame
SDL_Thread * | thread
AudioQueueRef | audioQueue
AudioQueueBufferRef * | audioBuffer
void * | buffer
UInt32 | bufferOffset
UInt32 | bufferSize
AudioStreamBasicDescription | strdesc
SDL_sem * | ready_semaphore
char * | thread_error
SDL_atomic_t | shutdown
AudioDeviceID | deviceID
LPDIRECTSOUND | sound
LPDIRECTSOUNDBUFFER | mixbuf
LPDIRECTSOUNDCAPTURE | capture
LPDIRECTSOUNDCAPTUREBUFFER | capturebuf
int | num_buffers
DWORD | lastchunk
Uint8 * | locked_buf
SDL_RWops * | io
Uint32 | io_delay
int | audio_fd
Uint32 | mixlen
Uint32 | write_delay
Uint32 | initial_calls
int | unused
IFusionSound * | fs
IFusionSoundStream * | stream
int | mixsamples
BSoundPlayer * | audio_obj
jack_client_t * | client
SDL_sem * | iosem
float * | iobuffer
const char ** | devports
jack_port_t ** | sdlports
SDL_mutex * | mutex
PP_Resource | audio
AuServer * | aud
AuFlowID | flow
AuDeviceID | dev
int | written
int | really
int | bps
struct timeval | last_tv
int | buf_free
int | channel
Uint8 * | rawbuf
Uint8 * | mixbufs [NUM_BUFFERS]
int | next_buffer
char * | device_name
pa_mainloop * | mainloop
pa_context * | context
pa_stream * | stream
const Uint8 * | capturebuf
int | capturelen
SDL_bool | iscapture
int | cardno
int | deviceno
snd_pcm_t * | audio_handle
uint32_t | timeout_on_wait
Uint8 * | pcm_buf
Uint32 | pcm_len
struct sio_hdl * | dev
struct pollfd * | pfd
SDL_AudioFormat | audio_fmt
int | ulaw_only
Uint8 * | ulaw_buf
Sint32 | written
int | fragsize
int | frequency
SDL_atomic_t | refcount
WCHAR * | devid
WAVEFORMATEX * | waveformat
IAudioClient * | client
IAudioRenderClient * | render
IAudioCaptureClient * | capture
SDL_AudioStream * | capturestream
HANDLE | event
HANDLE | task
SDL_bool | coinitialized
int | framesize
int | default_device_generation
SDL_bool | device_lost
void * | activation_handler
SDL_atomic_t | just_activated
HWAVEOUT | hout
HWAVEIN | hin
HANDLE | audio_sem
WAVEHDR | wavebuf [NUM_BUFFERS]

## Detailed Description

Definition at line 33 of file SDL_alsa_audio.h.

## Field Documentation

## activation_handler

void* SDL_PrivateAudioData::activation_handler

Definition at line 54 of file SDL_wasapi.h.

## aud

AuServer* SDL_PrivateAudioData::aud

Definition at line 40 of file SDL_nasaudio.h.

## audio

PP_Resource SDL_PrivateAudioData::audio

Definition at line 38 of file SDL_naclaudio.h.

## audio_fd

int SDL_PrivateAudioData::audio_fd

Definition at line 34 of file SDL_dspaudio.h.

## audio_fmt

SDL_AudioFormat SDL_PrivateAudioData::audio_fmt

Definition at line 36 of file SDL_sunaudio.h.

## audio_handle

snd_pcm_t* SDL_PrivateAudioData::audio_handle

Definition at line 42 of file SDL_qsa_audio.h.

## audio_obj

BSoundPlayer* SDL_PrivateAudioData::audio_obj

Definition at line 33 of file SDL_haikuaudio.h.

## audio_sem

HANDLE SDL_PrivateAudioData::audio_sem

Definition at line 37 of file SDL_winmm.h.

## audioBuffer

AudioQueueBufferRef* SDL_PrivateAudioData::audioBuffer

Definition at line 50 of file SDL_coreaudio.h.

## audioQueue

AudioQueueRef SDL_PrivateAudioData::audioQueue

Definition at line 49 of file SDL_coreaudio.h.

## bps

int SDL_PrivateAudioData::bps

Definition at line 50 of file SDL_nasaudio.h.

## buf_free

int SDL_PrivateAudioData::buf_free

Definition at line 52 of file SDL_nasaudio.h.

## buffer

void* SDL_PrivateAudioData::buffer

Definition at line 51 of file SDL_coreaudio.h.

## bufferOffset

UInt32 SDL_PrivateAudioData::bufferOffset

Definition at line 52 of file SDL_coreaudio.h.

## bufferSize

UInt32 SDL_PrivateAudioData::bufferSize

Definition at line 53 of file SDL_coreaudio.h.

## capture [1/2]

LPDIRECTSOUNDCAPTURE SDL_PrivateAudioData::capture

Definition at line 38 of file SDL_directsound.h.

## capture [2/2]

IAudioCaptureClient* SDL_PrivateAudioData::capture

Definition at line 46 of file SDL_wasapi.h.

## capturebuf [1/2]

LPDIRECTSOUNDCAPTUREBUFFER SDL_PrivateAudioData::capturebuf

Definition at line 39 of file SDL_directsound.h.

## capturebuf [2/2]

const Uint8* SDL_PrivateAudioData::capturebuf

Definition at line 46 of file SDL_pulseaudio.h.

## capturelen

int SDL_PrivateAudioData::capturelen

Definition at line 47 of file SDL_pulseaudio.h.

## capturestream

SDL_AudioStream* SDL_PrivateAudioData::capturestream

Definition at line 47 of file SDL_wasapi.h.

## cardno

int SDL_PrivateAudioData::cardno

Definition at line 40 of file SDL_qsa_audio.h.

## channel

int SDL_PrivateAudioData::channel

Definition at line 34 of file SDL_pspaudio.h.

## client [1/2]

jack_client_t* SDL_PrivateAudioData::client

Definition at line 33 of file SDL_jackaudio.h.

## client [2/2]

IAudioClient* SDL_PrivateAudioData::client

Definition at line 44 of file SDL_wasapi.h.

## coinitialized

SDL_bool SDL_PrivateAudioData::coinitialized

Definition at line 50 of file SDL_wasapi.h.

## context

pa_context* SDL_PrivateAudioData::context

Definition at line 39 of file SDL_pulseaudio.h.

## default_device_generation

int SDL_PrivateAudioData::default_device_generation

Definition at line 52 of file SDL_wasapi.h.

## dev [1/2]

struct sio_hdl* SDL_PrivateAudioData::dev

Definition at line 37 of file SDL_sndioaudio.h.

## dev [2/2]

AuDeviceID SDL_PrivateAudioData::dev

Definition at line 42 of file SDL_nasaudio.h.

## device_lost

SDL_bool SDL_PrivateAudioData::device_lost

Definition at line 53 of file SDL_wasapi.h.

## device_name

char* SDL_PrivateAudioData::device_name

Definition at line 35 of file SDL_pulseaudio.h.

## deviceID

AudioDeviceID SDL_PrivateAudioData::deviceID

Definition at line 59 of file SDL_coreaudio.h.

## deviceno

int SDL_PrivateAudioData::deviceno

Definition at line 41 of file SDL_qsa_audio.h.

## devid

WCHAR* SDL_PrivateAudioData::devid

Definition at line 42 of file SDL_wasapi.h.

## devports

const char** SDL_PrivateAudioData::devports

Definition at line 36 of file SDL_jackaudio.h.

## event

HANDLE SDL_PrivateAudioData::event

Definition at line 48 of file SDL_wasapi.h.

## flow

AuFlowID SDL_PrivateAudioData::flow

Definition at line 41 of file SDL_nasaudio.h.

## fragsize

int SDL_PrivateAudioData::fragsize

Definition at line 41 of file SDL_sunaudio.h.

## frame_ticks

float SDL_PrivateAudioData::frame_ticks

Definition at line 46 of file SDL_artsaudio.h.

## framesize

int SDL_PrivateAudioData::framesize

Definition at line 51 of file SDL_wasapi.h.

## frequency

int SDL_PrivateAudioData::frequency

Definition at line 42 of file SDL_sunaudio.h.

## fs

IFusionSound* SDL_PrivateAudioData::fs

Definition at line 36 of file SDL_fsaudio.h.

## hin

HWAVEIN SDL_PrivateAudioData::hin

Definition at line 36 of file SDL_winmm.h.

## hout

HWAVEOUT SDL_PrivateAudioData::hout

Definition at line 35 of file SDL_winmm.h.

## initial_calls

Uint32 SDL_PrivateAudioData::initial_calls

Definition at line 37 of file SDL_dummyaudio.h.

## io

SDL_RWops* SDL_PrivateAudioData::io

Definition at line 35 of file SDL_diskaudio.h.

## io_delay

Uint32 SDL_PrivateAudioData::io_delay

Definition at line 36 of file SDL_diskaudio.h.

## iobuffer

float* SDL_PrivateAudioData::iobuffer

Definition at line 35 of file SDL_jackaudio.h.

## iosem

SDL_sem* SDL_PrivateAudioData::iosem

Definition at line 34 of file SDL_jackaudio.h.

## iscapture

SDL_bool SDL_PrivateAudioData::iscapture

Definition at line 37 of file SDL_qsa_audio.h.

## just_activated

SDL_atomic_t SDL_PrivateAudioData::just_activated

Definition at line 55 of file SDL_wasapi.h.

## last_tv

struct timeval SDL_PrivateAudioData::last_tv

Definition at line 51 of file SDL_nasaudio.h.

## lastchunk

DWORD SDL_PrivateAudioData::lastchunk

Definition at line 41 of file SDL_directsound.h.

## locked_buf

Uint8* SDL_PrivateAudioData::locked_buf

Definition at line 42 of file SDL_directsound.h.

## mainloop

pa_mainloop* SDL_PrivateAudioData::mainloop

Definition at line 38 of file SDL_pulseaudio.h.

## mixbuf [1/2]

LPDIRECTSOUNDBUFFER SDL_PrivateAudioData::mixbuf

Definition at line 37 of file SDL_directsound.h.

## mixbuf [2/2]

Uint8 * SDL_PrivateAudioData::mixbuf

Definition at line 39 of file SDL_alsa_audio.h.

## mixbufs

Uint8* SDL_PrivateAudioData::mixbufs[NUM_BUFFERS]

Definition at line 38 of file SDL_pspaudio.h.

## mixlen [1/2]

Uint32 SDL_PrivateAudioData::mixlen

Definition at line 35 of file SDL_dummyaudio.h.

## mixlen [2/2]

int SDL_PrivateAudioData::mixlen

Definition at line 40 of file SDL_alsa_audio.h.

## mixsamples

int SDL_PrivateAudioData::mixsamples

Definition at line 44 of file SDL_fsaudio.h.

## mutex

SDL_mutex* SDL_PrivateAudioData::mutex

Definition at line 37 of file SDL_naclaudio.h.

## next_buffer

int SDL_PrivateAudioData::next_buffer

Definition at line 40 of file SDL_pspaudio.h.

## next_frame

float SDL_PrivateAudioData::next_frame

Definition at line 47 of file SDL_artsaudio.h.

## num_buffers

int SDL_PrivateAudioData::num_buffers

Definition at line 40 of file SDL_directsound.h.

## parent

pid_t SDL_PrivateAudioData::parent

Definition at line 39 of file SDL_artsaudio.h.

## pcm_buf

Uint8* SDL_PrivateAudioData::pcm_buf

Definition at line 51 of file SDL_qsa_audio.h.

## pcm_handle

snd_pcm_t* SDL_PrivateAudioData::pcm_handle

Definition at line 36 of file SDL_alsa_audio.h.

## pcm_len

Uint32 SDL_PrivateAudioData::pcm_len

Definition at line 52 of file SDL_qsa_audio.h.

## pfd

struct pollfd* SDL_PrivateAudioData::pfd

Definition at line 44 of file SDL_sndioaudio.h.

## rawbuf

Uint8* SDL_PrivateAudioData::rawbuf

Definition at line 36 of file SDL_pspaudio.h.

## ready_semaphore

SDL_sem* SDL_PrivateAudioData::ready_semaphore

Definition at line 55 of file SDL_coreaudio.h.

## really

int SDL_PrivateAudioData::really

Definition at line 49 of file SDL_nasaudio.h.

## refcount

SDL_atomic_t SDL_PrivateAudioData::refcount

Definition at line 41 of file SDL_wasapi.h.

## render

IAudioRenderClient* SDL_PrivateAudioData::render

Definition at line 45 of file SDL_wasapi.h.

## resume

int SDL_PrivateAudioData::resume

Definition at line 34 of file SDL_androidaudio.h.

## sdlports

jack_port_t** SDL_PrivateAudioData::sdlports

Definition at line 37 of file SDL_jackaudio.h.

## shutdown

SDL_atomic_t SDL_PrivateAudioData::shutdown

Definition at line 57 of file SDL_coreaudio.h.

## sound

LPDIRECTSOUND SDL_PrivateAudioData::sound

Definition at line 36 of file SDL_directsound.h.

## strdesc

AudioStreamBasicDescription SDL_PrivateAudioData::strdesc

Definition at line 54 of file SDL_coreaudio.h.

## stream [1/3]

arts_stream_t SDL_PrivateAudioData::stream

Definition at line 36 of file SDL_artsaudio.h.

## stream [2/3]

IFusionSoundStream* SDL_PrivateAudioData::stream

Definition at line 39 of file SDL_fsaudio.h.

## stream [3/3]

pa_stream* SDL_PrivateAudioData::stream

Definition at line 40 of file SDL_pulseaudio.h.

## swizzle_func

void(* SDL_PrivateAudioData::swizzle_func) (_THIS, void *buffer, Uint32 bufferlen)

Definition at line 43 of file SDL_alsa_audio.h.

## task

HANDLE SDL_PrivateAudioData::task

Definition at line 49 of file SDL_wasapi.h.

## thread

SDL_Thread* SDL_PrivateAudioData::thread

Definition at line 48 of file SDL_coreaudio.h.

## thread_error

char* SDL_PrivateAudioData::thread_error

Definition at line 56 of file SDL_coreaudio.h.

## timeout_on_wait

uint32_t SDL_PrivateAudioData::timeout_on_wait

Definition at line 48 of file SDL_qsa_audio.h.

## ulaw_buf

Uint8* SDL_PrivateAudioData::ulaw_buf

Definition at line 39 of file SDL_sunaudio.h.

## ulaw_only

int SDL_PrivateAudioData::ulaw_only

Definition at line 38 of file SDL_sunaudio.h.

## unused

int SDL_PrivateAudioData::unused

Definition at line 33 of file SDL_emscriptenaudio.h.

## wavebuf

WAVEHDR SDL_PrivateAudioData::wavebuf[NUM_BUFFERS]

Definition at line 39 of file SDL_winmm.h.

## waveformat

WAVEFORMATEX* SDL_PrivateAudioData::waveformat

Definition at line 43 of file SDL_wasapi.h.

## write_delay

Uint32 SDL_PrivateAudioData::write_delay

Definition at line 36 of file SDL_dummyaudio.h.

## written [1/2]

Sint32 SDL_PrivateAudioData::written

Definition at line 40 of file SDL_sunaudio.h.

## written [2/2]

int SDL_PrivateAudioData::written

Definition at line 48 of file SDL_nasaudio.h.

The documentation for this struct was generated from the following files:

- src/audio/alsa/SDL_alsa_audio.h
- src/audio/android/SDL_androidaudio.h
- src/audio/arts/SDL_artsaudio.h
- src/audio/coreaudio/SDL_coreaudio.h
- src/audio/directsound/SDL_directsound.h
- src/audio/disk/SDL_diskaudio.h
- src/audio/dsp/SDL_dspaudio.h
- src/audio/dummy/SDL_dummyaudio.h
- src/audio/emscripten/SDL_emscriptenaudio.h
- src/audio/esd/SDL_esdaudio.h
- src/audio/fusionsound/SDL_fsaudio.h
- src/audio/haiku/SDL_haikuaudio.h
- src/audio/jack/SDL_jackaudio.h
- src/audio/nacl/SDL_naclaudio.h
- src/audio/nas/SDL_nasaudio.h
- src/audio/netbsd/SDL_netbsdaudio.h
- src/audio/paudio/SDL_paudio.h
- src/audio/psp/SDL_pspaudio.h
- src/audio/pulseaudio/SDL_pulseaudio.h
- src/audio/qsa/SDL_qsa_audio.h
- src/audio/sndio/SDL_sndioaudio.h
- src/audio/sun/SDL_sunaudio.h
- src/audio/wasapi/SDL_wasapi.h
- src/audio/winmm/SDL_winmm.h